## kmymoney2 0.9.2

=== doc/CMakeLists.txt ===
#ADD_SUBDIRECTORY( en ) 

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


ADD_DOCS(kmymoney2 en)

########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#SUBDIRS = en
#
######## kdevelop will overwrite this part!!! (end)############
#

=== libkdchart/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### next target ###############

SET( libkmm_kdchart_la_SOURCES 
KDChart.cpp 		
KDChartAreaPainter.cpp	
KDChartAxesPainter.cpp	
KDChartAxisParams.cpp	
KDChartBarPainter.cpp	
KDChartBaseSeries.cpp 
KDChartBWPainter.cpp	
KDChartCustomBox.cpp 	
KDChartDataIntern.cpp 	
KDChartHiLoPainter.cpp	
KDChartLinesPainter.cpp	
KDChartPainter.cpp	
KDChartParams.cpp	
KDChartParams_frame.cpp
KDChartParams_io.cpp	
KDChartPiePainter.cpp	
KDChartPlaneSeries.cpp 
KDChartPolarPainter.cpp	
KDChartPropertySet.cpp	
KDChartRingPainter.cpp	
KDChartSeriesCollection.cpp 
KDChartTableBase.cpp 
KDChartTextPiece.cpp	
KDChartVectorSeries.cpp 
KDChartVectorTable.cpp 
KDChartWidget.cpp 	
KDDrawText.cpp		
KDFrame.cpp 		
KDFrameProfileSection.cpp 
KDXMLTools.cpp          
KDChartEnums.cpp 
KDChartAxisParamsWrapper.cpp 
KDChartCustomBoxWrapper.cpp 
KDChartParamsWrapper.cpp 
KDChartTableDataWrapper.cpp
)

KDE3_AUTOMOC(${libkmm_kdchart_la_SOURCES})

ADD_LIBRARY(kmm_kdchart SHARED ${libkmm_kdchart_la_SOURCES})
# kdeui added manually
TARGET_LINK_LIBRARIES(kmm_kdchart  ${QT_AND_KDECORE_LIBRARIES} kdeui)

########### install files ###############
INSTALL(TARGETS kmm_kdchart 
	DESTINATION lib
)

#libkmm_kdchart_la_LDFLAGS = $(all_libraries) -no-undefined
#libkmm_kdchart_la_LIBADD = $(LIB_QT) $(LIB_KDECORE)

=== po/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )

FILE(GLOB PO_FILES *.po)
ADD_TRANSLATIONS(KMyMoney ${PO_FILES})


########### install files ###############




#original Makefile.am contents follow:

######## kdevelop will overwrite this part!!! (begin)##########
#
#
######## kdevelop will overwrite this part!!! (end)############
#POFILES = AUTO
#
#CONFIG_CLEAN_FILES = $(GMOFILES)
#
#message-stats:
#	@echo "<?xml version='1.0' standalone='yes'?>"
#	@echo "<!DOCTYPE issuelist>"
#	@echo "<translist>"
#	@for i in ${srcdir}/*.po; do \
#	  ${srcdir}/stats.pl $$i; \
#	done;
#	@echo "</translist>"

=== kmymoney2/templates/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############


INSTALL(DIRECTORY C de_AT de_CH de_DE dk el_GR en_GB en_US
		  es_ES es_MX fr_CA fr_CH fr_FR gl_ES hu_HU it
		  jp nl_NL pt_BR pt_PT ru_SU sk tr_TR zh_CN 
		  zh_HK zh_TW
	DESTINATION share/apps/kmymoney2/templates
	PATTERN "CVS" EXCLUDE
	PATTERN "*Make*" EXCLUDE
)

=== kmymoney2/templates/C/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES old-default_accounts.kmt default_categories-template.kmt
	DESTINATIO share/apps/kmymoney2/templates/C  
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/C
#template_DATA = old-default_accounts.kmt default_categories-template.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/de_DE/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES default_accounts.kmt
	DESTINATION share/apps/kmymoney2/templates/de_DE 
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/de_DE
#template_DATA = default_accounts.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/en_GB/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES default_accounts.kmt
	DEFAULTS share/apps/kmymoney2/templates/en_GB  
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/en_GB
#template_DATA = default_accounts.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/es_ES/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES default_accounts.kmt
	DESTINATION share/apps/kmymoney2/templates/es_ES  
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/es_ES
#template_DATA = default_accounts.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/fr_FR/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES comptes_par_default.kmt
	DESTINATION share/apps/kmymoney2/templates/fr_FR 
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/fr_FR
#template_DATA = comptes_par_default.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/gl_ES/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES default_accounts.kmt
	DESTINATION share/apps/kmymoney2/templates/gl_ES  
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/gl_ES
#template_DATA = default_accounts.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/pt_BR/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES default_accounts.kmt
	DESTINATION share/apps/kmymoney2/templates/pt_BR 
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/pt_BR
#template_DATA = default_accounts.kmt
#
#EXTRA_DIST = $(template_DATA)

=== kmymoney2/templates/ru_SU/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES default_accounts.kmt 
	DESTINATION share/apps/kmymoney2/templates/ru_SU
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/ru_SU
#template_DATA = default_accounts.kmt
#
#EXTRA_DIST = $(template_DATA)

## kmymoney2 1.0.2

=== libkdchart/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
  ${ZLIB_INCLUDE_DIR} )

########### next target ###############

SET(libkmm_kdchart_la_SOURCES 
  KDChartAreaPainter.cpp	
  KDChartAxesPainter.cpp	
  KDChartAxisParams.cpp	
  KDChartAxisParamsWrapper.cpp 
  KDChartBarPainter.cpp	
  KDChartBaseSeries.cpp 
  KDChartBWPainter.cpp	
  KDChart.cpp 		
  KDChartCustomBox.cpp 	
  KDChartCustomBoxWrapper.cpp 
  KDChartDataIntern.cpp 	
  KDChartEnums.cpp 
  KDChartHiLoPainter.cpp	
  KDChartLinesPainter.cpp	
  KDChartPainter.cpp	
  KDChartParams.cpp	
  KDChartParams_frame.cpp
  KDChartParams_io.cpp	
  KDChartParamsWrapper.cpp 
  KDChartPiePainter.cpp	
  KDChartPlaneSeries.cpp 
  KDChartPolarPainter.cpp	
  KDChartPropertySet.cpp	
  KDChartRingPainter.cpp	
  KDChartSeriesCollection.cpp 
  KDChartTableBase.cpp 
  KDChartTableDataWrapper.cpp
  KDChartTextPiece.cpp	
  KDChartVectorSeries.cpp 
  KDChartVectorTable.cpp 
  KDChartWidget.cpp 	
  KDDrawText.cpp		
  KDFrame.cpp 		
  KDFrameProfileSection.cpp 
  KDXMLTools.cpp          
  )

KDE3_AUTOMOC(${libkmm_kdchart_la_SOURCES})
ADD_LIBRARY(kmm_kdchart SHARED ${libkmm_kdchart_la_SOURCES})
SET_TARGET_PROPERTIES(kmm_kdchart PROPERTIES VERSION 0.0.0 SOVERSION 0)
TARGET_LINK_LIBRARIES(kmm_kdchart ${QT_AND_KDECORE_LIBS} ${ZLIB_LIBRARIES})

########### install files ###############
INSTALL(TARGETS kmm_kdchart 
	DESTINATION lib)

## kmymoney2 1.0.4

=== doc/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})

# Macro defined in FindMEINPROC.cmake handles building and installing
ADD_DOCS(kmymoney2 en)

# Manpages we have to handle manually
SET(_in ${CMAKE_CURRENT_SOURCE_DIR}/en/kmymoney2.1)
SET(_out ${CMAKE_CURRENT_BINARY_DIR}/kmymoney2.1.gz)

ADD_CUSTOM_COMMAND(OUTPUT ${_out}
  COMMAND gzip
  ARGS -9 -c -N ${_in} > ${_out}
  DEPENDS ${_in})
INSTALL(FILES ${_out}
  DESTINATION ${MAN_INSTALL_DIR}/man1)
ADD_CUSTOM_TARGET(manpages ALL DEPENDS ${_out})
ADD_DEPENDENCIES(documentation manpages)

=== kmymoney2/pics/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES  startlogo.png  titlelabel_background.png 
	DESTINATION share/apps/kmymoney2/pics/ 
)



#original Makefile.am contents follow:

#kmymoneydir = $(kde_datadir)/kmymoney2/pics/
#kmymoney_DATA = startlogo.png  titlelabel_background.png 
#

=== kmymoney2/templates/CMakeLists.txt ===
########### install files ###############

INSTALL(DIRECTORY
  C de_AT de_CH de_DE dk el_GR en_GB en_US es_AR es_ES es_MX fr_CA
  fr_CH fr_FR gl_ES hu_HU it jp nl_NL pt_BR pt_PT ro_RO ru_RU sk tr_TR
  zh_CN zh_HK zh_TW
  DESTINATION share/apps/kmymoney2/templates
  PATTERN "CVS" EXCLUDE
  PATTERN ".cvsignore" EXCLUDE
  PATTERN "*Make*" EXCLUDE
  )

=== kmymoney2/templates/en_US/CMakeLists.txt ===
INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${KDE3_INCLUDE_DIR} ${QT_INCLUDE_DIR}  )


########### install files ###############

INSTALL(FILES  old-default_accounts.kmt default_categories-template.kmt ScheduleC_business.kmt ScheduleE_rental-property.kmt
	DESTINATION share/apps/kmymoney2/templates/en_US  
)



#original Makefile.am contents follow:

#templatedir=$(kde_datadir)/kmymoney2/templates/en_US
#template_DATA = old-default_accounts.kmt default_categories-template.kmt ScheduleC_business.kmt ScheduleE_rental-property.kmt
#
#EXTRA_DIST = $(template_DATA)

=== debian/changelog ===
kmymoney2 (1.0.4-0ubuntu1) lucid; urgency=low

  * New upstream bugfix release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sun, 18 Apr 2010 15:20:40 -0400

kmymoney2 (1.0.3-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Switch to source format 3.0 for a smaller tarball to upload

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 18 Feb 2010 13:09:45 -0500

kmymoney2 (1.0.2-1ubuntu1) lucid; urgency=low

  * Merge with Debian Testing, remaining change:
    - Compile --without-arts since aRts is no longer around

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 12:51:50 -0500

kmymoney2 (1.0.2-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Mon, 05 Oct 2009 10:01:13 +0200

kmymoney2 (1.0.2-0ubuntu1) karmic; urgency=low

  * Sync with Debian
  * New upstream release (LP: #432725)
  * Compile --without-arts since aRts is no longer around

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 17 Sep 2009 19:45:56 -0400

kmymoney2 (1.0.0-1) unstable; urgency=low

  * New upstream release. (Closes: #542503)
    - fix a crash when opening a custom report caused by an invalid chart type.
      (Closes: #522354)
  * Update debian/control:
    - Cleanup build dependency. Remove cdbs, gs-common, html2ps and
      libxml++2.6-dev.
    - Add libsqlite3-dev build dependency.
    - Bump Standards-Version from 3.8.0 to 3.8.3 (add debian/README.source).
  * Update debian/copyright:
    - Add Alvaro Soliverez.
    - Add Qt3 SQLite3 Library copyright.
  * Rename debian/docs to debian/kmymoney2.docs file.
  * Update debian/kmymoney2.install:
    - Add libsqlite3.so (Qt3 SQLite3 driver).
  * Remove files:
    - debian/kmymoney2.lintian-overrides
    - debian/kmymoney2.postinst
    - debian/kmymoney2.postrm
  * Update debian/rules:
    - Convert to dh usage.
    - Add a workaround for libsqlite3.so installation.

 -- Fathi Boudra <fabo@debian.org>  Sat, 22 Aug 2009 23:49:59 +0200

kmymoney2 (0.9.3-1) unstable; urgency=low

  * New upstream release. (Closes: #516980)
  * Fix some lintian warnings:
    - Build-depends on chrpath to remove RPATH.
    - Add missing ${misc:Depends}.
  * Update copyright. Some informations were wrong.
  * Update installed files: add OFX plugin. (Closes: #517145)
  * Cleanup lintian overrides.
  * Add postinst and postrm scripts for update-menus call and dh_desktop
    usage.
  * Update rules: call dh_desktop.

 -- Fathi Boudra <fabo@debian.org>  Sun, 08 Mar 2009 14:00:54 +0100

kmymoney2 (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Update lintian-overrides libkmm-mymoney5
  * Add Build-Depends: libxml++2.6-dev

 -- Mark Purcell <msp@debian.org>  Tue, 21 Oct 2008 22:49:57 +1100

kmymoney2 (0.9-3) unstable; urgency=low

  * Upgrade to Standards-Version: 3.8.0 - no changes necessary
  * Remove unnecessary quilt Build-Depends: Fixes lintian:quilt-build-
    dep-but-no-series-file
  * Cleanup diff - Fixes lintian:patch-system-but-direct-changes-in-diff
  * Add lintian-overrides - Fixes lintian:no-symbols-control-file
  * Set debhelper compatibility level 7

 -- Mark Purcell <msp@debian.org>  Tue, 09 Sep 2008 21:47:40 +1000

kmymoney2 (0.9-2) unstable; urgency=low

  * Add kmymoney-dev package to fix kmymoney2-plugin-aqbanking FTBFS.
    (Closes: #482625)

 -- Fathi Boudra <fabo@debian.org>  Sat, 24 May 2008 18:40:44 +0200

kmymoney2 (0.9-1) unstable; urgency=low

  * New upstream release. (Closes: #360022, #480487)
  * Recommend kmymoney2-plugin-aqbanking. Thanks to Micha Lenk for his work.
    (Closes: #434278)
  * Split architecture independent data into kmymoney2-common package.
    (Closes: #473054)
  * Update copyright file: add KDChart copyright.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 May 2008 08:55:20 +0200

kmymoney2 (0.8.9-1) unstable; urgency=low

  * New upstream release. (Closes: #472827)
  * Remove patches merged upstream:
    * 07_ofximport_ldflags
    * 08_remove_deprecated_miniicon
    * 10_fix_gcc4.3

 -- Fathi Boudra <fabo@debian.org>  Sat, 05 Apr 2008 10:43:03 +0200

kmymoney2 (0.8.8-2) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  * Team upload to address FTBFS with GCC 4.3.
  * Patch to fix FTBFS with GCC 4.3. (Closes: #455675)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 18:52:44 +0100

kmymoney2 (0.8.8-1) unstable; urgency=low

  * New upstream release. (Closes: #451785, #434278, #455675, #460414)

  [Fathi Boudra]
  * Bump compat to 6.
  * Update my e-mail address.
  * Bump debhelper to 6.
  * Switch to quilt patch system.
  * Replace automake1.9 build dependency by automake.
  * Add libtool build dependency.
  * Bump Standard-Version to 3.7.3.
  * Use Homepage field.
  * Add Vcs-Browser and Vcs-Svn fields.
  * Update lintian override.
  * Update menu section to latest Debian menu policy.
  * Build with --as-needed linker flag.
  * Add clean target. Useful for create-buildprep script.
  * Add patches:
    * Update admin directory.
    * Update libtool.m4.in.
    * Fix ofximport plugin LDFLAGS.
    * Remove deprecated miniicon entry from desktop file.

  [Mark Purcell]
  * Remove get-orig-source targets. sf.net sillyness.

 -- Fathi Boudra <fabo@debian.org>  Sun, 23 Dec 2007 18:00:06 +0100

kmymoney2 (0.8.7-2) unstable; urgency=low

  * Don't build developer pdf docs, we didn't ship anyway
    - FTBFS: Bus error in ps2pdf14 (Closes: #434676)

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jul 2007 22:05:51 +0100

kmymoney2 (0.8.7-1) unstable; urgency=low

  * New upstream release
    - Upstream changlog: Fixed #1723325 (Cannot quit the program)
      - Cannot exit KMyMoney2 (Closes: #403939)
    - Upstream changlog: Use dash as standard separator if no short date
      - Date field separator displayed as letter a (Closes: #427122)
  * Remove Build-Depends: libaqbanking16-dev, refer to NEWS.debian
    - OpenSSL license violation (Closes: #423379)
  * Document lack of online banking in NEWS.Debian



=== debian/control ===
Source: kmymoney2
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), chrpath, automake, libtool,
 kdelibs4-dev, libofx-dev, libsqlite3-dev
Standards-Version: 3.8.3
Homepage: http://kmymoney2.sourceforge.net
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kmymoney2/?op=log
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kmymoney2/trunk

Package: kmymoney2
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, ${misc:Depends},
 kmymoney2-common (>= ${source:Version})
Recommends: kmymoney2-plugin-aqbanking
Description: personal finance manager for KDE
 KMyMoney is the Personal Finance Manager for KDE. It operates similar to
 MS-Money and Quicken, supports different account types, categorisation of
 expenses, QIF import/export, multiple currencies and initial online banking
 support.

Package: kmymoney2-common
Architecture: all
Depends: ${misc:Depends}
Recommends: kmymoney2 (>= ${source:Version})
Replaces: kmymoney2 (<< 0.9-1)
Description: KMyMoney architecture independent files
 This package contains architecture independent files needed for KMyMoney to
 run properly. It also provides KMyMoney documentation. Therefore, unless you
 have 'kmymoney2' package installed, you will hardly find this package useful.

Package: kmymoney2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, kmymoney2 (= ${binary:Version})
Replaces: kmymoney2 (<< 0.9-1)
Description: KMyMoney development files
 This package contains development files needed for KMyMoney plugins.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--includedir=/usr/include/kde \
		--with-qt-dir=/usr/share/qt3 \
		--disable-rpath \
		--with-xinerama \
		--disable-debug \
		--without-arts \
		kde_htmldir=/usr/share/doc/kde/HTML

override_dh_clean:
	dh_clean
	find po -type f -name '*.gmo' -delete

override_dh_install:
	chrpath -d debian/tmp/usr/bin/kmymoney2
	chrpath -d debian/tmp/usr/lib/kde3/kmm_ofximport.so
	chrpath -d debian/tmp/usr/lib/libkmm_kdchart.so.0.0.0
	install -D -p -m0755 qt-sqlite3-0.2/sqldrivers/libqsqlite3.so \
		debian/tmp/usr/lib/qt3/plugins/sqldrivers/libqsqlite3.so
	rm -rf debian/tmp/usr/share/qt3
	dh_install

override_dh_compress:
	dh_compress -X.docbook

.PHONY: override_dh_auto_test
